package cc.smtweb.system.bpm.web.sys.base.dict;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-07-27 19:59:05
 * 实体【[字典类别](SYS_DICT_TYPE)】的Entity类
 */
@SwTable("SYS_DICT_TYPE")
public class DictType extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_DICT_TYPE";

    public DictType() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sdct_id");
    }

    /**
     * 主键
     */
    public void setId(long sdct_id) {
        put("sdct_id", sdct_id);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("sdct_code");
    }

    /**
     * 编码
     */
    public void setCode(String sdct_code) {
        put("sdct_code", sdct_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("sdct_name");
    }

    /**
     * 名称
     */
    public void setName(String sdct_name) {
        put("sdct_name", sdct_name);
    }

    /**
     * 归属项目
     */
    public long getPrjId() {
        return getLong("sdct_prj_id");
    }

    /**
     * 归属项目
     */
    public void setPrjId(long sdct_prj_id) {
        put("sdct_prj_id", sdct_prj_id);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("sdct_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String sdct_remark) {
        put("sdct_remark", sdct_remark);
    }
}
